/*
 * Community 组件的组件路由
 */
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/payment_service.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/payment/page/payment_page.dart';

part 'payment_component_service.g.dart';

@Riverpod(keepAlive: true)
PaymentService paymentService(Ref ref) {
  return PaymentComponentService();
}

class PaymentComponentService extends PaymentService {

  @override
  void startPaymentPage() {
    PaymentPage.startInstance();
  }
}
